hald_dbus
3
HAL Library

# hald_dbus

## Synopsis

    DBusHandlerResult manager_get_all_devices   (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult manager_find_device_string_match
                                                (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult manager_find_device_by_capability
                                                (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult manager_device_exists     (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_get_all_properties (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_get_property       (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_get_property_type  (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_set_property       (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult device_add_capability     (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult device_remove_capability  (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult device_remove_property    (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult device_property_exists    (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_query_capability   (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_lock               (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_unlock             (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult manager_new_device        (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult manager_commit_to_gdl     (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult manager_remove            (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);
    DBusHandlerResult merge_properties          (DBusConnection *conn,
                                                 DBusMessage *msg);
    DBusHandlerResult device_matches            (DBusConnection *conn,
                                                 DBusMessage *msg);
    void        manager_send_signal_device_added
                                                (HalDevice *device);
    void        manager_send_signal_device_removed
                                                (HalDevice *device);
    void        manager_send_signal_new_capability
                                                (HalDevice *device,
                                                 const char *capability);
    void        device_send_signal_property_modified
                                                (HalDevice *device,
                                                 const char *key,
                                                 dbus_bool_t removed,
                                                 dbus_bool_t added);
    void        device_send_signal_condition    (HalDevice *device,
                                                 const char *condition_name,
                                                 const char *condition_details);
    void        device_property_atomic_update_begin
                                                (void);
    void        device_property_atomic_update_end
                                                (void);
    gboolean    hald_dbus_init                  (void);
    gboolean    hald_dbus_local_server_init     (void);
    DBusHandlerResult hald_dbus_filter_function (DBusConnection *connection,
                                                 DBusMessage *message,
                                                 void *user_data);
    char*       hald_dbus_local_server_addr     (void);

## Description

## Details

### manager_get_all_devices ()

    DBusHandlerResult manager_get_all_devices   (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### manager_find_device_string_match ()

    DBusHandlerResult manager_find_device_string_match
                                                (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### manager_find_device_by_capability ()

    DBusHandlerResult manager_find_device_by_capability
                                                (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### manager_device_exists ()

    DBusHandlerResult manager_device_exists     (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_get_all_properties ()

    DBusHandlerResult device_get_all_properties (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_get_property ()

    DBusHandlerResult device_get_property       (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_get_property_type ()

    DBusHandlerResult device_get_property_type  (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_set_property ()

    DBusHandlerResult device_set_property       (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### device_add_capability ()

    DBusHandlerResult device_add_capability     (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### device_remove_capability ()

    DBusHandlerResult device_remove_capability  (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### device_remove_property ()

    DBusHandlerResult device_remove_property    (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### device_property_exists ()

    DBusHandlerResult device_property_exists    (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_query_capability ()

    DBusHandlerResult device_query_capability   (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_lock ()

    DBusHandlerResult device_lock               (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_unlock ()

    DBusHandlerResult device_unlock             (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### manager_new_device ()

    DBusHandlerResult manager_new_device        (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### manager_commit_to_gdl ()

    DBusHandlerResult manager_commit_to_gdl     (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### manager_remove ()

    DBusHandlerResult manager_remove            (DBusConnection *conn,
                                                 DBusMessage *msg,
                                                 dbus_bool_t local_interface);

`conn` :

`msg` :

`local_interface` :

Returns :

### merge_properties ()

    DBusHandlerResult merge_properties          (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### device_matches ()

    DBusHandlerResult device_matches            (DBusConnection *conn,
                                                 DBusMessage *msg);

`conn` :

`msg` :

Returns :

### manager_send_signal_device_added ()

    void        manager_send_signal_device_added
                                                (HalDevice *device);

`device` :

### manager_send_signal_device_removed ()

    void        manager_send_signal_device_removed
                                                (HalDevice *device);

`device` :

### manager_send_signal_new_capability ()

    void        manager_send_signal_new_capability
                                                (HalDevice *device,
                                                 const char *capability);

`device` :

`capability` :

### device_send_signal_property_modified ()

    void        device_send_signal_property_modified
                                                (HalDevice *device,
                                                 const char *key,
                                                 dbus_bool_t removed,
                                                 dbus_bool_t added);

`device` :

`key` :

`removed` :

`added` :

### device_send_signal_condition ()

    void        device_send_signal_condition    (HalDevice *device,
                                                 const char *condition_name,
                                                 const char *condition_details);

`device` :

`condition_name` :

`condition_details` :

### device_property_atomic_update_begin ()

    void        device_property_atomic_update_begin
                                                (void);

### device_property_atomic_update_end ()

    void        device_property_atomic_update_end
                                                (void);

### hald_dbus_init ()

    gboolean    hald_dbus_init                  (void);

Returns :

### hald_dbus_local_server_init ()

    gboolean    hald_dbus_local_server_init     (void);

Returns :

### hald_dbus_filter_function ()

    DBusHandlerResult hald_dbus_filter_function (DBusConnection *connection,
                                                 DBusMessage *message,
                                                 void *user_data);

`connection` :

`message` :

`user_data` :

Returns :

### hald_dbus_local_server_addr ()

    char*       hald_dbus_local_server_addr     (void);

Returns :